Bug 211612 - audio/murmur: 1.2.10 -> 1.2.17
Summary: audio/murmur: 1.2.10 -> 1.2.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-05 20:51 UTC by Kurt Jaeger
Modified: 2017-01-04 22:09 UTC (History)
2 users (show)

See Also:
feld: maintainer-feedback+


Attachments
patch (1.30 KB, patch)
2016-08-05 20:51 UTC, Kurt Jaeger
no flags Details | Diff
patch-to-1.2.27 (1.27 KB, patch)
2016-10-31 13:55 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2016-08-05 20:51:42 UTC
Created attachment 173338 [details]
patch

testbuild on 12a was OK, testbuilding in poudriere @work
Comment 1 Mark Felder freebsd_committer 2016-08-05 21:04:32 UTC
How do we handle the OpenSSL requirements? It won't work on FreeBSD 9 because base OpenSSL won't work. We can't require ports OpenSSL because it will conflict with qt4-network and then it blows up at runtime when two different openssl libraries are pulled in.

This is part of why I've hesitated to update it further :(
Comment 2 Kurt Jaeger freebsd_committer 2016-08-06 06:59:11 UTC
Mark BROKEN on 9 and live to fight another day 8-) ?
Comment 3 Kurt Jaeger freebsd_committer 2016-08-06 07:00:22 UTC
Btw, fails to build on 11a 8(

http://people.freebsd.org/~pi/logs/audio__murmur-11a-1470430071.txt
Comment 4 Kurt Jaeger freebsd_committer 2016-10-31 13:55:36 UTC
Created attachment 176344 [details]
patch-to-1.2.27

testbuilds on 12a, 11a, 10i, 9.3a are fine.
Comment 5 Mark Felder freebsd_committer 2016-10-31 17:05:35 UTC
approved.

Don't have an opportunity at the moment to do a quick test run, but if you see it's working then please commit it. Do not MFH for now.
Comment 6 Kurt Jaeger freebsd_committer 2016-10-31 21:28:39 UTC
Thanks. I'll do some run-tests against clients 'soon' and will work it in.
Comment 7 Kurt Jaeger freebsd_committer 2016-11-20 18:22:45 UTC
Status: I've build mumble 1.2.17, tested it on my laptop on 11a, and
it behaved strange (audio). Need to find time to test more.
Comment 8 commit-hook freebsd_committer 2017-01-04 22:09:26 UTC
A commit references this bug:

Author: feld
Date: Wed Jan  4 22:08:35 UTC 2017
New revision: 430597
URL: https://svnweb.freebsd.org/changeset/ports/430597

Log:
  audio/murmur: Update to 1.2.18

  PR:		211612

Changes:
  head/audio/murmur/Makefile
  head/audio/murmur/distinfo
Comment 9 Mark Felder freebsd_committer 2017-01-04 22:09:53 UTC
Committed with minor changes (version 1.2.18)

I tested on my personal server and it's working fine, and we no longer need to deal with OpenSSL 0.98